Skip to main content
POST
/
it
/
ocr
/
form-16
/
pdf
Form16 Read
curl --request POST \
  --url https://api.sandbox.co.in/it/ocr/form-16/pdf \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <x-api-key>' \
  --form file='@example-file'
{
  "transaction_id": "478527ab-9e73-4e08-97e7-63122b5b9072",
  "code": 200,
  "data": {
    "Part A": {
      "tds": [
        [
          "quarter",
          "receipt_number",
          "credit_amount",
          "tax_deducted",
          "tax_deposited"
        ],
        [
          "Q4",
          "QVQYSSEF",
          360030,
          28428,
          28428
        ],
        [
          "Q3",
          "QVOLJKOE",
          240000,
          9704,
          9704
        ],
        [
          "Q2",
          "QVMVLPLC",
          250000,
          9704,
          9704
        ],
        [
          "Q1",
          "QVKCNDHC",
          230000,
          19249,
          19249
        ],
        [
          "Total",
          null,
          1080030,
          67085,
          67085
        ]
      ],
      "assessment_year": "2024-25",
      "employer": {
        "tan": "HYDU00904B",
        "address": {
          "area": "",
          "street": "8-2-596/5, Star Hospitals, Road No.10, ",
          "postal_code": "500034"
        },
        "name": "UNIMED HEALTH CARE PRIVATE LIMITED",
        "pan": "AAACU8638B"
      },
      "employee": {
        "address": {
          "area": "WARANGAL - 506002, ",
          "street": "H.NO-14-8-271, CHARBOWLI, GIRMAJIPET, ",
          "postal_code": "506002"
        },
        "last_name": "GUTHIKONDA",
        "pan": "DCDPG7297B",
        "middle_name": "SAI",
        "first_name": "SRI"
      }
    },
    "Part B": {
      "assessment_year": "2024-25",
      "employer": {
        "tan": "HYDU00904B",
        "address": {
          "area": "",
          "street": "8-2-596/5, Star Hospitals, Road No.10, ",
          "postal_code": "500034"
        },
        "name": "UNIMED HEALTH CARE PRIVATE LIMITED",
        "pan": "AAACU8638B"
      },
      "employee": {
        "address": {
          "area": "WARANGAL - 506002, ",
          "street": "H.NO-14-8-271, CHARBOWLI, GIRMAJIPET, ",
          "postal_code": "506002"
        },
        "last_name": "GUTHIKONDA",
        "pan": "DCDPG7297B",
        "middle_name": "SAI",
        "first_name": "SRI"
      },
      "details_of_salary_paid": {
        "surcharge": 0,
        "gross_salary": {
          "reported_total_amount_of_salary_received_from_other_employer": 0,
          "profits_in_lieu_of_salary_us_17_3": 0,
          "value_of_perquisites_us_17_2": 0,
          "salary_as_per_provisions_contained_in_section_17_1": 1080030
        },
        "gross_total_income": 1030030,
        "tax_payable": 67084,
        "allowances_us_10": {
          "house_rent_allowance_us_10_13_a": 0,
          "commuted_value_of_pension_us_10_10_a": 0,
          "death_cum_retirement_gratuity_us_10_10": 0,
          "total_amount_of_any_other_exemption_us_10": 0,
          "total_amount_of_exemption_claimed_us_10": 0,
          "travel_concession_or_assistance_us_10_5": 0,
          "cash_equivalent_of_leave_salary_encashment_us_10_10_aa": 0
        },
        "total_amount_of_deductions_us_16": 50000,
        "health_and_eduction_cess": 2580,
        "deduction_under_chapter_vi_a": {
          "deduction_us_80_ccc": {},
          "deduction_us_80_tta": {},
          "total_deduction_us_80_cce": {},
          "deduction_us_80_ccd_2": {},
          "deduction_us_80_ccd_1": {},
          "deduction_us_80_d": {},
          "deduction_us_80_ccd_1_b": {},
          "deduction_us_80_e": {},
          "deduction_us_80_g": {},
          "deduction_us_80_c": {}
        },
        "rebate_us_87_a": 0,
        "relief_us_89": 0,
        "aggregate_deductible_amount_under_chapter_vi_a": 0,
        "opting_out_of_taxation_us_115_bac": "No",
        "net_tax_payable": 67084,
        "tax_on_total_income": 64504,
        "total_amount_of_other_income_reported_by_employee": 0,
        "other_income_reported_by_employee_us_192_2_b": {
          "income_under_the_head_other_sources_offered_for_tds": 0,
          "income_from_house_property_reported_by_employee_offered_for_tds": 0
        },
        "income_chargeable_under_the_head_salaries": 1030030,
        "total_amount_of_salary_received_from_current_employer": 1080030,
        "deduction_us_16": {
          "entertainment_allowance_us_16_ii": 0,
          "standard_deduction_us_16_ia": 50000,
          "tax_on_employment_us_16_iii": 0
        },
        "total_taxable_income": 1030030
      }
    }
  },
  "timestamp": 1724824712000
}

Headers

x-api-key
string
required
Authorization
string
required

Query Parameters

password
string

Body

multipart/form-data
file
file
required

Response

transaction_id
string
required
code
integer
required
data
object
required
timestamp
integer
required